summaryrefslogtreecommitdiffstats
path: root/dvm
diff options
context:
space:
mode:
Diffstat (limited to 'dvm')
-rwxr-xr-xdvm/2042/testcase37
-rwxr-xr-xdvm/2483/testcase2
-rwxr-xr-xdvm/2720/testcase41
-rwxr-xr-xdvm/2722/testcase30
-rwxr-xr-xdvm/2771/testcase28
-rwxr-xr-xdvm/764072/testcase44
6 files changed, 144 insertions, 38 deletions
diff --git a/dvm/2042/testcase b/dvm/2042/testcase
deleted file mode 100755
index 8f08c78..0000000
--- a/dvm/2042/testcase
+++ /dev/null
@@ -1,37 +0,0 @@
-#!/bin/bash
-
-function _init ()
-{
- source $cwd/regression_helpers;
-}
-
-function add_and_log ()
-{
- mkdir /tmp/logs_path;
-
- $GLUSTERFSDIR/gluster volume create $global_bug_id $(hostname):$EXPORT_DIR/$global_bug_id/export 2>/dev/null 1>/dev/null;
-
- #set the log file path for the volume
- $GLUSTERFSDIR/gluster volume log filename $global_bug_id /tmp/logs_path 2>/dev/null 1>/dev/null;
- $GLUSTERFSDIR/gluster volume start $global_bug_id 2>/dev/null 1>/dev/null;
- $GLUSTERFSDIR/gluster volume add-brick $global_bug_id $(hostname):$EXPORT_DIR/$global_bug_id/export2 2>/dev/null 1>/dev/null;
-
- #set the log file path for the newly added brick
- $GLUSTERFSDIR/gluster volume log filename $global_bug_id $(hostname):$EXPOR_DIR/$global_bug_id/export2 /tmp/logs_path 2>/dev/null 1>/dev/null;
-
- ls /tmp/logs_path | grep "export2" 2>/dev/null 1>/dev/null;
- ret=$?;
-
- rm -rf /tmp/logs_path 2>/dev/null 1>/dev/null;
- return $ret;
-}
-
-function main ()
-{
- add_and_log;
-
- op_ret=$?;
- exit $op_ret;
-}
-
-_init && main "$@"
diff --git a/dvm/2483/testcase b/dvm/2483/testcase
index a0a85d2..ccedbe8 100755
--- a/dvm/2483/testcase
+++ b/dvm/2483/testcase
@@ -5,7 +5,7 @@ source $cwd/regression_helpers
VOLNAME="vol$global_bug_id"
$GLUSTERFSDIR/gluster volume create $global_bug_id $(hostname):$EXPORT_DIR/$global_bug_id/brick1 $(hostname):$EXPORT_DIR/$global_bug_id/brick2 2>/dev/null 1>/dev/null
-$GLUSTERFSDIR/gluster volume create $VOLNAME replica 2 $(hostname):$EXPORT_DIR/$global_bug_id/brick3 $(hostname):$EXPORT_DIR/$global_bug_id/brick4 2>/dev/null 1>/dev/null
+$GLUSTERFSDIR/gluster volume create $VOLNAME replica 2 $(hostname):$EXPORT_DIR/$global_bug_id/brick3 $(hostname):$EXPORT_DIR/$global_bug_id/brick4 --mode=script 2>/dev/null 1>/dev/null
$GLUSTERFSDIR/gluster volume start $global_bug_id 2>/dev/null 1>/dev/null
$GLUSTERFSDIR/gluster volume start $VOLNAME 2>/dev/null 1>/dev/null
diff --git a/dvm/2720/testcase b/dvm/2720/testcase
new file mode 100755
index 0000000..a3a9e58
--- /dev/null
+++ b/dvm/2720/testcase
@@ -0,0 +1,41 @@
+#!/bin/bash
+
+
+function create_data_on_mountpoint ()
+{
+ for i in {1..100}
+ do
+ dd if=/dev/zero of=$FUSE_MOUNT/$i bs=128K count=100 2>/dev/null 1>/dev/null;
+ dd if=$FUSE_MOUNT/$i of=/dev/null bs=128K count=100 2>/dev/null 1>/dev/null;
+ done
+}
+
+
+function check_glusterd_blockage ()
+{
+ $GLUSTERFSDIR/gluster volume create $global_bug_id replica 2 $(hostname):$EXPORT_DIR/$global_bug_id/brick1 $(hostname):$EXPORT_DIR/$global_bug_id/brick2 --mode=script 2>/dev/null 1>/dev/null;
+ $GLUSTERFSDIR/gluster volume start $global_bug_id 2>/dev/null 1>/dev/null;
+ sleep 2
+
+ #'write/read perf' require latency-measurement to be on, in order to capture throughput of files
+ $GLUSTERFSDIR/gluster volume set $global_bug_id latency-measurement on 2>/dev/null 1>/dev/null;
+
+ mount_glusterfs $global_bug_id
+ sleep 2
+ create_data_on_mountpoint;
+
+ $GLUSTERFSDIR/gluster volume top $global_bug_id read-perf bs 20480000000000 count 10000 brick $(hostname):$EXPORT_DIR/$global_bug_id/brick1 2>/dev/null 1>/dev/null;
+ ret1=$?;
+
+ $GLUSTERFSDIR/gluster volume top $global_bug_id write-perf bs 20480000000000 count 10000 brick $(hostname):$EXPORT_DIR/$global_bug_id/brick2 2>/dev/null 1>/dev/null;
+ ret2=$?;
+
+ if [ $ret1 -eq 0 ] && [ $ret2 -eq 0 ]; then
+ return 0
+ else
+ return 1
+ fi
+}
+
+
+source $cwd/regression_helpers; check_glusterd_blockage
diff --git a/dvm/2722/testcase b/dvm/2722/testcase
new file mode 100755
index 0000000..cbac158
--- /dev/null
+++ b/dvm/2722/testcase
@@ -0,0 +1,30 @@
+#!/bin/bash
+
+
+function check_volume_top_messages ()
+{
+ $GLUSTERFSDIR/gluster volume create $global_bug_id $(hostname):$EXPORT_DIR/$global_bug_id/brick1 2>/dev/null 1>/dev/null;
+ $GLUSTERFSDIR/gluster volume start $global_bug_id 2>/dev/null 1>/dev/null;
+ sleep 2;
+
+ #'volume top successful' message should NOT be shown for all succeeded top operations.
+ $GLUSTERFSDIR/gluster volume top $global_bug_id write-perf bs 1024000 count 100 | grep "volume top successful" 2>/dev/null 1>/dev/null;
+ ret1=$?
+
+ #message 'no entries in the list' should NOT be displayed.
+ $GLUSTERFSDIR/gluster volume top $global_bug_id write-perf bs 1024000 count 100 | grep "no entries in the list" 2>/dev/null 1>/dev/null;
+ ret2=$?
+
+ #volume top on a non-existant brick should display the message 'volume top unsuccessful'.
+ $GLUSTERFSDIR/gluster volume top $global_bug_id write-perf bs 1024000 count 100 brick $(hostname):$EXPORT_DIR/$global_bug_id/brick11 | grep "volume top unsuccessful" 2>/dev/null 1>/dev/null;
+ ret3=$?
+
+ if [ $ret1 -ne 0 ] && [ $ret2 -ne 0 ] && [ $ret3 -eq 0 ]; then
+ return 0
+ else
+ return 1
+ fi
+}
+
+
+source $cwd/regression_helpers; check_volume_top_messages
diff --git a/dvm/2771/testcase b/dvm/2771/testcase
new file mode 100755
index 0000000..e67cb42
--- /dev/null
+++ b/dvm/2771/testcase
@@ -0,0 +1,28 @@
+#!/bin/bash
+
+source $cwd/regression_helpers
+
+$GLUSTERFSDIR/gluster volume create $global_bug_id $(hostname):$EXPORT_DIR/$global_bug_id/brick1 $(hostname):$EXPORT_DIR/$global_bug_id/brick2 2>/dev/null 1>/dev/null;
+
+$GLUSTERFSDIR/gluster volume start $global_bug_id 2>/dev/null 1>/dev/null;
+
+mount_glusterfs $global_bug_id;
+sleep 2;
+
+for i in {1..10}
+do
+ dd if=/dev/zero of=$FUSE_MOUNT/$i bs=128K count=100 2>/dev/null 1>/dev/null;
+ dd if=$FUSE_MOUNT/$i of=/dev/null bs=128K count=100 2>/dev/null 1>/dev/null;
+done
+
+$GLUSTERFSDIR/gluster volume top $global_bug_id write-perf list-cnt 10 bs 2048 brick $(hostname):$EXPORT_DIR/$global_bug_id/brick1 | grep "Usage: volume top" 2>/dev/null 1>/dev/null
+temp1=$?;
+
+$GLUSTERFSDIR/gluster volume top $global_bug_id write-perf count 100 list-cnt 10 brick $(hostname):$EXPORT_DIR/$global_bug_id/brick2 | grep "Usage: volume top" 2>/dev/null 1>/dev/null
+temp2=$?;
+
+if [ $temp1 -eq 0 ] && [ $temp2 -eq 0 ];then
+ exit 0;
+else
+ exit 1;
+fi
diff --git a/dvm/764072/testcase b/dvm/764072/testcase
new file mode 100755
index 0000000..3748820
--- /dev/null
+++ b/dvm/764072/testcase
@@ -0,0 +1,44 @@
+#!/bin/bash
+
+source $cwd/regression_helpers
+mkdir -p /tmp/$global_bug_id &> /dev/null
+
+#create,start and mount
+$GLUSTERFSDIR/gluster volume create $global_bug_id $(hostname):$EXPORT_DIR/$global_bug_id/export1 $(hostname):$EXPORT_DIR/$global_bug_id/export2 &>/dev/null ;
+
+$GLUSTERFSDIR/gluster volume start $global_bug_id &>/dev/null;
+mount_glusterfs $global_bug_id;
+
+sleep 10;
+#start gsyncd first
+$GLUSTERFSDIR/gluster volume geo-replication $global_bug_id /tmp/$global_bug_id start &> /dev/null
+if [ $? -ne 0 ]; then
+ exit 255;
+fi
+
+sleep 10;
+
+ps aux | grep gsyncd.py | grep monitor &> /dev/null;
+if [ $? -ne 0 ]; then
+ exit 255;
+fi
+
+mkdir -p $FUSE_MOUNT/dir/dir{1..2};
+touch $FUSE_MOUNT/file{1..2};
+
+sleep 5;
+
+ls -l $FUSE_MOUNT/* &> /dev/null;
+
+sleep 5;
+
+ps aux | grep gsyncd.py | grep monitor &> /dev/null;
+if [ $? -ne 0 ]; then
+ $GLUSTERFSDIR/gluster volume geo-replication $global_bug_id /tmp/$global_bug_id stop &> /dev/null
+ rm -rf /tmp/$global_bug_id &> /dev/null
+ exit 255;
+else
+ $GLUSTERFSDIR/gluster volume geo-replication $global_bug_id /tmp/$global_bug_id stop &> /dev/null
+ rm -rf /tmp/$global_bug_id &> /dev/null
+ exit 0;
+fi